#!/bin/bash
ALL_RUNNING_JOBS=$(ls $RUNNING_JOB_DIR)
RUNNING_JOBS=""
for job in $ALL_RUNNING_JOBS; do
    if [[ $(cat $RUNNING_JOB_DIR/$job/state) != "paused" ]]; then
        RUNNING_JOBS="$(printf "$RUNNING_JOBS\n$job")"
    fi
done
RUNNING_JOBS="$(tr -s '\n' <<< "$RUNNING_JOBS")"
RUNNING_JOBS="${RUNNING_JOBS#$'\n'}"
RUNNING_JOBS="${RUNNING_JOBS%$'\n'}"

N_RUNNING_JOBS=$(wc -l <<< "$RUNNING_JOBS")
if [ "x$RUNNING_JOBS" == "x" ]; then
    N_RUNNING_JOBS=0
fi

echo "$N_RUNNING_JOBS"

exit 0
