N_RUNNING_JOBS=$(./getRunningJobs.sh)

if [ $N_RUNNING_JOBS -lt $MAX_RUNNING_JOBS ]; then
    ALL_QUEUED_JOBS=$(ls $QUEUED_JOB_DIR)
    QUEUED_JOBS=""
    for job in $ALL_QUEUED_JOBS; do
        if [[ $(cat $QUEUED_JOB_DIR/$job/state) != "suspended" ]]; then
            QUEUED_JOBS="$(printf "$QUEUED_JOBS\n$job")"
        fi
    done
    QUEUED_JOBS="$(tr -s '\n' <<< "$QUEUED_JOBS")"
    QUEUED_JOBS="${QUEUED_JOBS#$'\n'}"
    QUEUED_JOBS="${QUEUED_JOBS%$'\n'}"
    NEWJOBS=$(sort -n <<< "$QUEUED_JOBS" | head -n $(($MAX_RUNNING_JOBS - $N_RUNNING_JOBS)))
    for job in $NEWJOBS; do
        echo "STARTING" > $QUEUED_JOB_DIR/$job/currentCommit
        mv $QUEUED_JOB_DIR/$job $RUNNING_JOB_DIR
        echo "running" > $RUNNING_JOB_DIR/$job/state
        ./jobRunner.sh $job &
    done
fi
